Summary: IP Firewalling Chains.
Name: ipchains
%define version 1.3.8
Version: %{version}
Release: 3C3
Copyright: GPL
Obsoletes: ipfwadm ipchains-scripts
Group: System Environment/Base
Source: ftp://ftp.rustcorp.com/ipchains/ipchains-%{version}.tar.bz2
Source1: ftp://ftp.rustcorp.com/ipchains/ipchains-scripts-1.0.2.tar.gz
Source2: ipchains
Buildroot: /var/tmp/ipchains-root

%description 
Linux IP Firewalling Chains is an update to (and hopefully an
improvement upon) the normal Linux Firewalling code, for 2.0 and 2.1
kernels. It lets you do things like firewalls, IP masquerading, etc.

%prep
%setup -q -a 1

%build
COPTS=$RPM_OPT_FLAGS make -e

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,usr/man/man4,usr/man/man8}
make install SBIN=$RPM_BUILD_ROOT/sbin MANDIR=$RPM_BUILD_ROOT/usr/man
cp ipchains-scripts-1.0.2/{ipchains-restore,ipchains-save,ipfwadm-wrapper} $RPM_BUILD_ROOT/sbin
cp ipchains-scripts-1.0.2/{ipchains-restore.8,ipchains-save.8,ipfwadm-wrapper.8} $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 $RPM_SOURCE_DIR/ipchains \
	$RPM_BUILD_ROOT/etc/rc.d/init.d
echo "# ipchains.conf" > $RPM_BUILD_ROOT/etc/ipchains.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
ln -s /sbin/ipfwadm-wrapper /sbin/ipfwadm
/sbin/chkconfig --add ipchains

%preun
/sbin/chkconfig --del ipchains

%files
%doc COPYING HOWTO.txt README ipchains-refcard.letter.ps
/sbin/*
/usr/man/*/*
%config /etc/rc.d/init.d/ipchains
%config(missingok) /etc/ipchains.conf

%changelog
* Mon May 22 2000 Jonathan Mayer <jmayer@cobalt.com>
- 3C3 release
- fixed file permissions on /etc/rc.d/init/ipchains file, oops.

* Mon May 22 2000 Jonathan Mayer <jmayer@cobalt.com>
- added init script and config file

* Mon Nov 1 1999 Will DeHaan <will@cobalt.com>
- symlink /sbin/ipfwadm to ipfwadm-wrapper

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- oboslete phantom ipchains-scripts package that's been floating around...

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Nov 17 1998 Preston Brown <pbrown@redhat.com>
- initial cut.
